Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web
Class ActionResult

    java.lang.Object
      |
      +--com.bea.web.ActionResult

public class ActionResult
extends java.lang.Object
implements java.io.Serializable

Encapsulates information about the outcome of processing a request. Also provides information to the ControllerServlet to help it determine the next page to display to the user.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`ActionResult()`
`ActionResult(java.lang.String strAction)`
`ActionResult(java.lang.String strAction, boolean bSuccess, java.lang.String strMessage, java.lang.String strNextAction)`

Method Summary
`void` | `addParameter(java.lang.String strName, java.lang.String strValue)`
`void` | `clearParameters()`
`java.lang.String` | `getAction()`
`java.lang.String` | `getInformation()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getNextAction()`
`boolean` | `isSuccess()`
`void` | `setInformation(java.lang.String strInfo)`
`void` | `setMessage(java.lang.String strMessage)`
`void` | `setSuccess(boolean bSuccess)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionResult

    public ActionResult()

### ActionResult

    public ActionResult(java.lang.String strAction)

### ActionResult

    public ActionResult(java.lang.String strAction,
                        boolean bSuccess,
                        java.lang.String strMessage,
                        java.lang.String strNextAction)

Method Detail

### getAction

    public final java.lang.String getAction()

### getNextAction

    public final java.lang.String getNextAction()

### getMessage

    public final java.lang.String getMessage()

### setMessage

    public final void setMessage(java.lang.String strMessage)

### isSuccess

    public final boolean isSuccess()

### setSuccess

    public final void setSuccess(boolean bSuccess)

### getInformation

    public final java.lang.String getInformation()

### setInformation

    public final void setInformation(java.lang.String strInfo)

### addParameter

    public final void addParameter(java.lang.String strName,
                                   java.lang.String strValue)

### clearParameters

    public final void clearParameters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)